Bug 550395 - system-config-display crashes on UnicodeDecodeError
system-config-display crashes on UnicodeDecodeError
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-24 18:20 EST by Scott Schmit
Modified: 2010-11-05 07:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-05 07:03:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Schmit 2009-12-24 18:20:45 EST
Description of problem:
This started when I realized that my display resolution is 1600x1200 when it should be 1920x1200. So I attempted to use the system->preferences->display to adjust, but 1920x1200 wasn't an available option (no surprise). So then I installed system-config-display to try to use it instead. Going from the GUI, it prompted me for a password, and then nothing happened.

So then I dropped to the shell and ran it again as root, and I got a python traceback.

Version-Release number of selected component (if applicable):
system-config-display-2.2-1.fc12.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Run system-config-display
2.
3.
  
Actual results:
As soon as I execute, I see this:
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 60, in update_ui
    label.set_text(_("%s with %s")%(self.state.get_monitor_name(), self.state.get_videocard_name()))
UnicodeDecodeError: 'utf8' codec can't decode byte 0xb6 in position 14: unexpected code byte
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 60, in update_ui
    label.set_text(_("%s with %s")%(self.state.get_monitor_name(), self.state.get_videocard_name()))
UnicodeDecodeError: 'utf8' codec can't decode byte 0xb6 in position 14: unexpected code byte
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 378, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 658, in __init__
    self.update_ui()
  File "/usr/share/system-config-display/xConfigDialog.py", line 60, in update_ui
    label.set_text(_("%s with %s")%(self.state.get_monitor_name(), self.state.get_videocard_name()))
UnicodeDecodeError: 'utf8' codec can't decode byte 0xb6 in position 14: unexpected code byte

I tried running again with LANG=C, but that changed nothing.

Expected results:
I expect to be able to configure my display, of course.

Additional info:

# lspci
00:00.0 Host bridge: Intel Corporation X58 I/O Hub to ESI Port (rev 13)
00:01.0 PCI bridge: Intel Corporation X58 I/O Hub PCI Express Root Port 1 (rev 13)
00:03.0 PCI bridge: Intel Corporation X58 I/O Hub PCI Express Root Port 3 (rev 13)
00:07.0 PCI bridge: Intel Corporation X58 I/O Hub PCI Express Root Port 7 (rev 13)
00:09.0 PCI bridge: Intel Corporation X58 I/O Hub PCI Express Root Port 9 (rev 13)
00:14.0 PIC: Intel Corporation X58 I/O Hub System Management Registers (rev 13)
00:14.1 PIC: Intel Corporation X58 I/O Hub GPIO and Scratch Pad Registers (rev 13)
00:14.2 PIC: Intel Corporation X58 I/O Hub Control Status and RAS Registers (rev 13)
00:14.3 PIC: Intel Corporation X58 I/O Hub Throttle Registers (rev 13)
00:1a.0 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #4
00:1a.1 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #5
00:1a.2 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #6
00:1a.7 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #2
00:1b.0 Audio device: Intel Corporation 82801JI (ICH10 Family) HD Audio Controller
00:1c.0 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Port 1
00:1c.1 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Port 2
00:1c.3 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Port 4
00:1c.4 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Port 5
00:1d.0 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #1
00:1d.1 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #2
00:1d.2 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #3
00:1d.7 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #1
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 90)
00:1f.0 ISA bridge: Intel Corporation 82801JIR (ICH10R) LPC Interface Controller
00:1f.2 SATA controller: Intel Corporation 82801JI (ICH10 Family) SATA AHCI Controller
00:1f.3 SMBus: Intel Corporation 82801JI (ICH10 Family) SMBus Controller
02:00.0 SATA controller: Silicon Image, Inc. SiI 3132 Serial ATA Raid II Controller (rev 01)
03:00.0 FireWire (IEEE 1394): VIA Technologies, Inc. Device 3403
04:00.0 Ethernet controller: Broadcom Corporation NetLink BCM5784M Gigabit Ethernet PCIe (rev 10)
08:00.0 VGA compatible controller: ATI Technologies Inc Device 6898
08:00.1 Audio device: ATI Technologies Inc Device aa50

# lspci -v
...
08:00.0 VGA compatible controller: ATI Technologies Inc Device 6898 (prog-if 00 [VGA controller])
	Subsystem: ATI Technologies Inc Device 0b00
	Flags: bus master, fast devsel, latency 0, IRQ 11
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Memory at fbfc0000 (64-bit, non-prefetchable) [size=128K]
	I/O ports at e000 [size=256]
	Expansion ROM at fbfa0000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Legacy Endpoint, MSI 00
	Capabilities: [a0] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [100] Vendor Specific Information <?>
	Capabilities: [150] Advanced Error Reporting
...

Let me know if there's anything more that will help.
Comment 1 Scott Schmit 2010-01-10 13:22:54 EST
I've seen no response, but I'm still getting this bug. What can I provide to help diagnose the problem?
Comment 2 Bug Zapper 2010-11-03 22:36:40 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Scott Schmit 2010-11-05 07:03:16 EDT
This appears to have fixed itself in the current release.

Note You need to log in before you can comment on or make changes to this bug.